Skip to main content
GET /api/v1/cloud/sessions/{session_id}/threads/{thread_id} Returns one Session thread.

Path parameters

ParameterTypeDescription
session_idstringSession ID with the sess_ prefix
thread_idstringThread ID with the sthr_ prefix

Headers

HeaderRequiredDescription
AuthorizationYesBearer $QODER_PAT

Example request

curl -X GET "https://api.qoder.com/api/v1/cloud/sessions/sess_019f00000000000000000000000000aa/threads/sthr_019f00000000000000000000000002bb" \
  -H "Authorization: Bearer $QODER_PAT"

Example response

{
  "id": "sthr_019f00000000000000000000000002bb",
  "type": "session_thread",
  "session_id": "sess_019f00000000000000000000000000aa",
  "parent_thread_id": "sthr_019f00000000000000000000000001aa",
  "agent": {"id": "agent_019f000000000000000000000000002b", "type": "agent", "version": 2},
  "status": "running",
  "stats": null,
  "archived_at": null,
  "created_at": "2026-06-15T08:01:00.000Z",
  "updated_at": "2026-06-15T08:01:00.000Z"
}
See Session Thread object for the response shape.

Errors

HTTPTypeTrigger
401authentication_errorPAT invalid or expired
404not_found_errorSession or thread does not exist
HTTP 404 Not Found (session does not exist)
{
  "type": "error",
  "error": {
    "type": "not_found_error",
    "message": "Session 'sess_doesnotexist_xxxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
HTTP 404 Not Found (thread does not exist)
{
  "type": "error",
  "error": {
    "type": "not_found_error",
    "message": "Session thread 'sthr_fakefakefake_xxxxxxxxxxxxxxxx' was not found."
  }
}
See Errors for the full error envelope.